Sun Identity Manager 8.1 Upgrade

Step 6: Update Your Platform

If the target Identity Manager product version requires changes to your platform, you must make these changes before upgrading the Identity Manager product.

If you plan on upgrading the JDK or JRE, you must use a JDK or JRE supplied by the same vendor as your previous JDK. For example, do not install a Sun JDK if previously you were using a JDK from IBM.

Caution – Caution –

If you are using an Oracle repository, the Identity Manager repository DDL uses data types that are not properly handled by older Oracle JDBC drivers. The JDBC drivers in ojdbc14.jar do not properly read all of the columns in the log table.

You must upgrade to the ojdbc5.jar for JDK 5 drivers for Identity Manager to work properly.